org.apache.fop.render

## Class XMLHandlerRegistry

- java.lang.Object
- - org.apache.fop.render.XMLHandlerRegistry

-     public class XMLHandlerRegistry
      extends java.lang.Object

  This class holds references to various XML handlers used by FOP. It also supports automatic discovery of additional XML handlers available through the class path.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLHandlerRegistry()` Default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addXMLHandler(java.lang.String classname)` Add an XML handler.
    `void` | `addXMLHandler(XMLHandler handler)` Add an XML handler.
    `XMLHandler` | `getXMLHandler(Renderer renderer, java.lang.String ns)` Returns an XMLHandler which handles an XML dialect of the given namespace and for a specified output format defined by its MIME type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLHandlerRegistry

          public XMLHandlerRegistry()

      Default constructor.

  - ### Method Detail

    - #### addXMLHandler

          public void addXMLHandler(java.lang.String classname)

      Add an XML handler. The handler itself is inspected to find out what it supports.
      Parameters:
        `classname` - the fully qualified class name

    - #### addXMLHandler

          public void addXMLHandler(XMLHandler handler)

      Add an XML handler. The handler itself is inspected to find out what it supports.
      Parameters:
        `handler` - the XMLHandler instance

    - #### getXMLHandler

          public XMLHandler getXMLHandler(Renderer renderer,
                                          java.lang.String ns)

      Returns an XMLHandler which handles an XML dialect of the given namespace and for a specified output format defined by its MIME type.
      Parameters:
        `renderer` - the Renderer for which to retrieve a Renderer
        `ns` - the XML namespace associated with the XML to be rendered
      Returns:
        the XMLHandler responsible for handling the XML or null if none is available

Copyright 1999-2021 The Apache Software Foundation. All Rights Reserved.